<?php
namespace nulib\ref\ext\spout;

use OpenSpout\Common\Entity\Style\Color;

class ref_builder {
  const PARAMS = [
    # Builder
    "output" => "?string",
    "schema" => "?array",
    "headers" => "?array",
    "use_headers" => "bool",
    "rows" => "?array",
    "cook_func" => "?callable",
    "ss_type" => "?string",
    # SpoutBuilder
    "type_numeric" => "bool",
    "type_date" => "bool",
    "spout" => self::PARAMS_SPOUT,
    "sheet" => self::PARAMS_SHEET,
    "sheet_name" => "?string",
    "sheet_view" => self::PARAMS_SHEET_VIEW,
    # TempStream
    "max_memory" => "?int",
    "throw_on_error" => "?bool",
  ];

  const PARAMS_SPOUT = [
    "->setColumnWidth" => ["float", ["int", null]],
    "->setColumnWidthForRange" => ["int", "int", "int"],
    "default_column_width" => "float",
    "default_row_height" => "float",
    "default_row_style" => self::STYLE,
  ];

  const PARAMS_SHEET = [
    "view" => self::PARAMS_SHEET_VIEW,
    "->setName" => ["string"],
    "->setIsVisible" => ["bool"],
    "header_style" => self::STYLE,
    "odd_style" => self::STYLE,
    "even_style" => self::STYLE,
    "different_odd_even" => "bool",
  ];

  const PARAMS_SHEET_VIEW = [];

  const ROW_PARAMS = [
    "->setHeight" => ["float"],
    "merge_cells" => "array",
    "merge_offset" => "int",
  ];

  const COLORS = [
    "black" => Color::BLACK,
    "white" => Color::WHITE,
    "red" => Color::RED,
    "dark_red" => Color::DARK_RED,
    "orange" => Color::ORANGE,
    "yellow" => Color::YELLOW,
    "light_green" => Color::LIGHT_GREEN,
    "green" => Color::GREEN,
    "light_blue" => Color::LIGHT_BLUE,
    "blue" => Color::BLUE,
    "dark_blue" => Color::DARK_BLUE,
    "purple" => Color::PURPLE,
    "light_gray" => "EEEEEE",
    "gray" => "B2B2B2",
  ];

  const STYLE = [
    "font" => [
      "bold" => "bool",
      "italic" => "bool",
      "underline" => "bool",
      "strikethrough" => "bool",
      "name" => "string",
      "size" => "int",
      "color" => "string",
    ],
    "bg_color" => "string",
    "align" => "string",
    "valign" => "string",
    "wrap" => "bool",
    "format" => "string",
    "border" => [
      "top" => ["color" => "string", "width" => "string", "style" => "string"],
      "right" => ["color" => "string", "width" => "string", "style" => "string"],
      "bottom" => ["color" => "string", "width" => "string", "style" => "string"],
      "left" => ["color" => "string", "width" => "string", "style" => "string"],
    ],
  ];
}
